MySQL Forums
Forum List  »  Replication

Solved
Posted by: Geert Vanderkelen
Date: January 25, 2018 05:12AM

I should have digged more into the "error 2061". Error 2061 says "you are using a auth plugin which requires SSL". I did not setup the recovery channel to use SSL (which is possible).

To reduce complexity for now, I am not using SSL, so you are _required_ to set the auth plugin when creating the replication user, because from the MySQL 8.0.4 release notes:

https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-4.html
"Incompatible Change: The caching_sha2_password and sha256_password authentication plugins provide more secure password encryption than the mysql_native_password plugin, and caching_sha2_password provides better performance than sha256_password. Due to these superior security and performance characteristics of caching_sha2_password, it is now the preferred authentication plugin, and is also the default authentication plugin rather than mysql_native_password. ..."

Quick fix: CREATE USER replicator@'%' IDENTIFIED WITH 'mysql_native_password' BY 'secret';

Options: ReplyQuote


Subject
Views
Written By
Posted
Solved
4147
January 25, 2018 05:12AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.